<?php
	$sliders = get_option('layerslider-slides');
	$sliders = is_array($sliders) ? $sliders : unserialize($sliders);
?>
<div class="wrap">
	<div id="ls-icon-layers"></div>
	<h2>
		LayerSlider sliders
		<a href="?page=layerslider&action=add" class="add-new-h2">Add New</a>
		<a href="?page=layerslider&action=import_sample" class="add-new-h2">Import sample sliders</a>
	</h2>

	<div class="ls-box ls-slider-list">
		<table>
			<thead>
				<tr>
					<td>ID</td>
					<td>Name</td>
					<td>Shortcode</td>
					<td>Actions</td>
				</tr>
			</thead>
			<tbody>
				<?php if(!empty($sliders)) : ?>
				<?php foreach($sliders as $key => $val) : ?>
				<?php $name = empty($val['properties']['title']) ? 'Unnamed' : $val['properties']['title']; ?>
				<tr>
					<td><?php echo ($key+1) ?></td>
					<td><a href="?page=layerslider&action=edit&id=<?php echo $key ?>"><?php echo $name ?></a></td>
					<td>[layerslider id="<?php echo ($key+1) ?>"]</td>
					<td>
						<a href="?page=layerslider&action=edit&id=<?php echo $key ?>">Edit</a> |
						<a href="?page=layerslider&action=duplicate&id=<?php echo $key ?>">Duplicate</a> |
						<a href="?page=layerslider&action=remove&id=<?php echo $key ?>" class="remove">Remove</a>
					</td>
				</tr>
				<?php endforeach; ?>
				<?php endif; ?>
				<?php if(empty($sliders)) : ?>
				<tr>
					<td colspan="4">You didn't create a slider yet.</td>
				</tr>
				<?php endif; ?>
			</tbody>
		</table>
	</div>

	<form action="<?php echo $_SERVER['REQUEST_URI'] ?>" method="post" class="ls-box ls-import-box">
		<h3 class="header">Import sliders</h3>
		<div class="inner">
			<textarea name="import" rows="10" cols="50"></textarea>
			<button class="button">Import</button>
		</div>
	</form>


	<div class="ls-box ls-import-box">
		<h3 class="header">Export sliders</h3>
		<div class="inner">
			<textarea rows="10" cols="50" readonly="readonly"><?php echo base64_encode(serialize($sliders)) ?></textarea>
			<p>Place this export code into the import text field in your new site and press "Import".</p>
		</div>
	</div>
</div>